#!/usr/bin/perl
# 
# $Id: larrd.pl,v 1.15 2003/03/18 16:48:12 cncook Exp $
#
# larrd.pl: BB ext script to drive larrd modules for RRD data collection 
#
# Scott Walters Copyright 1999
# scott@PacketPushers.com 
#
# Christian Pearce
# pearcec@PacketPushers.com
#  
#
# Do whatever you want with it
# just don't sell it and make money off of it and not cut me in ;)
# I take no liability for it, use at your own risks

# Config stuff

# NOTE: This should be the same as $ENV{'LARRDHOME'}.  BB doesn't
# change into the ext/larrd directory for execution.  Therfore it
# requires us to hard code a path.  Sucks I know.

use lib qw{/usr/local/larrd};
require "larrd-config.pl";

##################################
# Start of script
##################################

if( not $ENV{'BBHOME'} ) {
        print "$0: BBHOME is not set\n";
        exit(1);
}

if( not -d $ENV{'BBHOME'} ) {
        print "$0: BBHOME is invalid\n";
        exit(1);
}

##
# Generate the html
##

`$ENV{'LARRDHOME'}/larrd-html.pl >> $ENV{'LARRDLOG'} 2>&1`;


##
# real work begins here
##

if( not -d $ENV{'BBRRDS'} ) {
        mkdir "$ENV{'BBRRDS'}",0755;
        print "$0 did not find $ENV{'BBRRDS'}, created.\n";
}

# well run synch (i.e. *no* &) for now, maybe asynch in the future for perf

foreach $mod (@DATALIST) {
	foreach $type ("pl","sh") {
		if( -f "$ENV{'LARRDHOME'}/$mod-larrd.$type") {
	`$ENV{'LARRDHOME'}/$mod-larrd.$type >> $ENV{'LARRDLOG'} 2>&1`; 
		}
	}
}
##############################################
# end of script
##############################################

